# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class EquipeEngagement(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'club': 'AnyOfEquipeEngagementClub',
        'category_code': 'str',
        'number': 'int',
        'code': 'int',
        'short_name': 'str',
        'short_name_ligue': 'str',
        'short_name_federation': 'str',
        'type': 'str',
        'category_label': 'str',
        'category_gender': 'str'
    }

    attribute_map = {
        'club': 'club',
        'category_code': 'category_code',
        'number': 'number',
        'code': 'code',
        'short_name': 'short_name',
        'short_name_ligue': 'short_name_ligue',
        'short_name_federation': 'short_name_federation',
        'type': 'type',
        'category_label': 'category_label',
        'category_gender': 'category_gender'
    }

    def __init__(self, club=None, category_code=None, number=None, code=None, short_name=None, short_name_ligue=None, short_name_federation=None, type=None, category_label=None, category_gender=None):  # noqa: E501
        """EquipeEngagement - a model defined in Swagger"""  # noqa: E501
        self._club = None
        self._category_code = None
        self._number = None
        self._code = None
        self._short_name = None
        self._short_name_ligue = None
        self._short_name_federation = None
        self._type = None
        self._category_label = None
        self._category_gender = None
        self.discriminator = None
        if club is not None:
            self.club = club
        if category_code is not None:
            self.category_code = category_code
        if number is not None:
            self.number = number
        if code is not None:
            self.code = code
        if short_name is not None:
            self.short_name = short_name
        if short_name_ligue is not None:
            self.short_name_ligue = short_name_ligue
        if short_name_federation is not None:
            self.short_name_federation = short_name_federation
        if type is not None:
            self.type = type
        if category_label is not None:
            self.category_label = category_label
        if category_gender is not None:
            self.category_gender = category_gender

    @property
    def club(self):
        """Gets the club of this EquipeEngagement.  # noqa: E501


        :return: The club of this EquipeEngagement.  # noqa: E501
        :rtype: AnyOfEquipeEngagementClub
        """
        return self._club

    @club.setter
    def club(self, club):
        """Sets the club of this EquipeEngagement.


        :param club: The club of this EquipeEngagement.  # noqa: E501
        :type: AnyOfEquipeEngagementClub
        """

        self._club = club

    @property
    def category_code(self):
        """Gets the category_code of this EquipeEngagement.  # noqa: E501


        :return: The category_code of this EquipeEngagement.  # noqa: E501
        :rtype: str
        """
        return self._category_code

    @category_code.setter
    def category_code(self, category_code):
        """Sets the category_code of this EquipeEngagement.


        :param category_code: The category_code of this EquipeEngagement.  # noqa: E501
        :type: str
        """

        self._category_code = category_code

    @property
    def number(self):
        """Gets the number of this EquipeEngagement.  # noqa: E501


        :return: The number of this EquipeEngagement.  # noqa: E501
        :rtype: int
        """
        return self._number

    @number.setter
    def number(self, number):
        """Sets the number of this EquipeEngagement.


        :param number: The number of this EquipeEngagement.  # noqa: E501
        :type: int
        """

        self._number = number

    @property
    def code(self):
        """Gets the code of this EquipeEngagement.  # noqa: E501


        :return: The code of this EquipeEngagement.  # noqa: E501
        :rtype: int
        """
        return self._code

    @code.setter
    def code(self, code):
        """Sets the code of this EquipeEngagement.


        :param code: The code of this EquipeEngagement.  # noqa: E501
        :type: int
        """

        self._code = code

    @property
    def short_name(self):
        """Gets the short_name of this EquipeEngagement.  # noqa: E501


        :return: The short_name of this EquipeEngagement.  # noqa: E501
        :rtype: str
        """
        return self._short_name

    @short_name.setter
    def short_name(self, short_name):
        """Sets the short_name of this EquipeEngagement.


        :param short_name: The short_name of this EquipeEngagement.  # noqa: E501
        :type: str
        """

        self._short_name = short_name

    @property
    def short_name_ligue(self):
        """Gets the short_name_ligue of this EquipeEngagement.  # noqa: E501


        :return: The short_name_ligue of this EquipeEngagement.  # noqa: E501
        :rtype: str
        """
        return self._short_name_ligue

    @short_name_ligue.setter
    def short_name_ligue(self, short_name_ligue):
        """Sets the short_name_ligue of this EquipeEngagement.


        :param short_name_ligue: The short_name_ligue of this EquipeEngagement.  # noqa: E501
        :type: str
        """

        self._short_name_ligue = short_name_ligue

    @property
    def short_name_federation(self):
        """Gets the short_name_federation of this EquipeEngagement.  # noqa: E501


        :return: The short_name_federation of this EquipeEngagement.  # noqa: E501
        :rtype: str
        """
        return self._short_name_federation

    @short_name_federation.setter
    def short_name_federation(self, short_name_federation):
        """Sets the short_name_federation of this EquipeEngagement.


        :param short_name_federation: The short_name_federation of this EquipeEngagement.  # noqa: E501
        :type: str
        """

        self._short_name_federation = short_name_federation

    @property
    def type(self):
        """Gets the type of this EquipeEngagement.  # noqa: E501


        :return: The type of this EquipeEngagement.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this EquipeEngagement.


        :param type: The type of this EquipeEngagement.  # noqa: E501
        :type: str
        """

        self._type = type

    @property
    def category_label(self):
        """Gets the category_label of this EquipeEngagement.  # noqa: E501


        :return: The category_label of this EquipeEngagement.  # noqa: E501
        :rtype: str
        """
        return self._category_label

    @category_label.setter
    def category_label(self, category_label):
        """Sets the category_label of this EquipeEngagement.


        :param category_label: The category_label of this EquipeEngagement.  # noqa: E501
        :type: str
        """

        self._category_label = category_label

    @property
    def category_gender(self):
        """Gets the category_gender of this EquipeEngagement.  # noqa: E501


        :return: The category_gender of this EquipeEngagement.  # noqa: E501
        :rtype: str
        """
        return self._category_gender

    @category_gender.setter
    def category_gender(self, category_gender):
        """Sets the category_gender of this EquipeEngagement.


        :param category_gender: The category_gender of this EquipeEngagement.  # noqa: E501
        :type: str
        """

        self._category_gender = category_gender

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(EquipeEngagement, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, EquipeEngagement):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
